Update Email Settings
curl --request PUT \
--url https://api.boostgpt.co/v1/bot/email/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"email_enabled": true,
"email_auto_reply": true,
"email_notifications": true
}
'import requests
url = "https://api.boostgpt.co/v1/bot/email/settings"
payload = {
"project_id": "<string>",
"bot_id": "<string>",
"email_enabled": True,
"email_auto_reply": True,
"email_notifications": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
email_enabled: true,
email_auto_reply: true,
email_notifications: true
})
};
fetch('https://api.boostgpt.co/v1/bot/email/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"email_address": "<string>",
"updated_at": "<string>"
}Email
Update Email Settings
Update email configuration for an agent
PUT
/
v1
/
bot
/
email
/
settings
Update Email Settings
Authorizations
Enter your API key
Body
application/json
Was this page helpful?
⌘I